Skip to content

upsertPurchaseInvoiceDelivery

WRITE

Upsert purchase invoice delivery.

POST /api/v1/invoicing/upsertPurchaseInvoiceDelivery
curl -X POST '<your-host>/api/v1/invoicing/upsertPurchaseInvoiceDelivery' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"EXW""FCA""FAS""FOB""CPT""CIP""CFR""CIF""DAP""DPU""DDP"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "shippingMethodId": {
      "type": "string"
    },
    "shippingTermId": {
      "type": "string"
    },
    "supplierShippingCost": {
      "default": 0,
      "type": "number"
    },
    "incoterm": {
      "type": "string",
      "enum": [
        "EXW",
        "FCA",
        "FAS",
        "FOB",
        "CPT",
        "CIP",
        "CFR",
        "CIF",
        "DAP",
        "DPU",
        "DDP"
      ]
    },
    "incotermLocation": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}